import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import java.awt.geom.*;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;




public class TestImage3 {

	public void createImage(String filename) 
	{
		
		 
		int w = 11;
		int h = 11;

		BufferedImage img = new BufferedImage(w, h,
                    BufferedImage.TYPE_INT_RGB);
		Graphics2D g2 = img.createGraphics();
		g2.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
					RenderingHints.VALUE_ANTIALIAS_ON);
		// fill background
		for (int n=0; n<w; n++) {
			int g = (n*256)/w;
			Color bg = new Color(g,g,g);
			g2.setColor(bg);
			g2.fillRect(n,0,1,h);
		}
		int r = w/3;
		g2.fill(new Ellipse2D.Double(w/2-r,h/2-r,2*r,2*r));


		// write to file
		String format = "png";
		File file = new File(filename + "." + format);
		try {
			ImageIO.write(img, format, file);
		} catch (IOException e) {
			System.out.println("image write failed");
			//e.printStackTrace();
		}
	}



	public static void main(String[] args) {
		String name = "test3";
		if (args.length>0) name = (args[0]);
		TestImage3 proj = new TestImage3();
		proj.createImage(name);
	}

}